
Redmine - Defect #14710

Settings the left 500 error in ruby1.9.2

2013-08-19 10:33 - sword C

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.2

Description

Dear all,

In order to support plug-in, after upgrading from 1.8.7 to version 1.9.3 version, the configuration page not open cast 500

error.Change ruby to 1.9.2 or so,is this how to handle.

ruby -v

ruby 1.9.2p320 (2012-04-20 revision 35421) [x86_64-linux]

tail -f log/production.log

Started GET "/admin" for 192.168.1.18 at 2013-08-19 17:05:04 +0800

Processing by AdminController#index as HTML

Current user: sword (id=4)

Rendered admin/_menu.html.erb (5.1ms)

Rendered admin/index.html.erb within layouts/admin (5.7ms)

Rendered layouts/base.html.erb (11.8ms)

Completed 200 OK in 24ms (Views: 17.4ms | ActiveRecord: 2.3ms)

Started GET "/settings" for 192.168.1.18 at 2013-08-19 17:05:07 +0800

Processing by SettingsController#index as HTML

Current user: sword (id=4)

Rendered settings/_general.html.erb (8.0ms)

Rendered settings/_display.html.erb (7.8ms)

Rendered settings/_authentication.html.erb (5.7ms)

Rendered settings/_projects.html.erb (10.5ms)

Rendered common/_tabs.html.erb (39.8ms)

Rendered settings/edit.html.erb within layouts/admin (40.4ms)

Completed 500 Internal Server Error in 47ms

ActionView::Template::Error (incompatible character encodings: ASCII-8BIT and UTF-8):

21: </script>

22:

23: <% tabs.each do |tab| >

24:   <= content_tag('div', render(:partial => tab[:partial], :locals => {:tab => tab} ),

25:                        :id => "tab-content#{tab[:name]}",

26:                        :style => (tab[:name] != selected_tab ? 'display:none' : nil),

27:                        :class => 'tab-content') %>

app/views/common/_tabs.html.erb:24:in `block in app_views_common_tabs_html_erb__4046057004198103457_51144240'

app/views/common/_tabs.html.erb:23:in `each'

app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb__4046057004198103457_51144240'

app/helpers/application_helper.rb:271:in `render_tabs'

app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___3437158674120265598_51525740'

app/controllers/settings_controller.rb:28:in `index'

Related issues:

Is duplicate of Redmine - Defect #13520: Internal Error (incompatible charact... Closed

History

#1 - 2013-08-19 16:53 - sword C

- Status changed from New to Resolved

In the original 13520 has been solved, but 2.3.2 lost encoding
vi /lib/redmine/i18n.rb

+# encoding: utf-8

+#

After the above configuration, clear the cache service from start to

#2 - 2013-08-20 04:25 - Toshi MARUYAMA

- Category deleted (Gems support)

- Status changed from Resolved to Closed

- Resolution set to Duplicate

#3 - 2013-08-20 04:26 - Toshi MARUYAMA

- Is duplicate of Defect #13520: Internal Error (incompatible character encodings: ASCII-8BIT and UTF-8) when accessing Admin/Settings, Account,

etc. added
